#!/usr/bin/python

from charmhelpers.core.hookenv import (
    log,
    Hooks,
    UnregisteredHookError,
    status_set,
)

import sys

hooks = Hooks()


@hooks.hook('install')
def install():
    status_set('blocked', 'Charm has reached end-of-life. '
                          'Please use neutron-gateway charm.')


if __name__ == '__main__':
    try:
        hooks.execute(sys.argv)
    except UnregisteredHookError as e:
        log('Unknown hook {} - skipping.'.format(e))
